Subject: Re: [Rt2400-devel] [BUG] rt2x00: inconsistent lock state

From: Ivo van Doorn <[email-masked]>
Date: Sun, 5 Aug 2007 22:46:43 +0200

Hi,

> If I'm reading the state bits and the message correcly dev_base_lock was
> aquired for write with IRQ enabled (via register_netdevice), but lockep also
> saw it aquired for read *in* IRQ (hardirq) context (rt2x00 code path, via
> rt2x00lib_beacondone -> ieee80211_beacon_get); this means that a deadlock can
> occur if we take an interrupt while the lock is already held.
> So either the lock must be IRQ-safe (_irq() / _irq_save()) or rt2x00 must not
> take it in interrupt context.

This has already been fixed in rt2x00.git
I am still working on resolving some other issues,
but the rt2x00 2.0.7 release will contain the fix for this.

Ivo